GET SubAccountBalances?idSite={idSite}&idFuelMaster={idFuelMaster}&idTerminal={idTerminal}&idIdentification={idIdentification}
Gets the balance of the user, represented as SubAccountBalanceDto.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| idSite |
The ID of the site. |
globally unique identifier |
Required |
| idFuelMaster |
The ID of the fuel. |
globally unique identifier |
Required |
| idTerminal |
The ID of the termina. |
globally unique identifier |
Required |
| idIdentification | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
A collection of sub account balances.
Collection of SubAccountBalanceDto| Name | Description | Type | Additional information |
|---|---|---|---|
| SubAccountId | globally unique identifier |
None. |
|
| SubAccountDescription | string |
None. |
|
| SubscriberId | globally unique identifier |
None. |
|
| SubscriberCode | string |
None. |
|
| SubscriberName | string |
None. |
|
| CompanyId | globally unique identifier |
None. |
|
| CompanyCode | string |
None. |
|
| CompanyName | string |
None. |
|
| CompanyContractId | globally unique identifier |
None. |
|
| CompanyContractCode | string |
None. |
|
| CompanyContractDescription | string |
None. |
|
| DriverId | globally unique identifier |
None. |
|
| DriverCode | string |
None. |
|
| DriverCompleteName | string |
None. |
|
| VehicleId | globally unique identifier |
None. |
|
| VehicleCode | string |
None. |
|
| VehiclePlate | string |
None. |
|
| CurrencyId | globally unique identifier |
None. |
|
| CurrencyCode | string |
None. |
|
| CurrencyDescription | string |
None. |
|
| FuelMasterId | globally unique identifier |
None. |
|
| FuelMasterCode | string |
None. |
|
| FuelMasterDescription | string |
None. |
|
| Amount | decimal number |
None. |
|
| Volume | decimal number |
None. |
|
| UnitPrice | decimal number |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"SubAccountId": "64a7d0ee-fa25-4d58-ab72-5c7bf0d7dd7e",
"SubAccountDescription": "sample string 2",
"SubscriberId": "c060b70d-b817-4073-801e-24cbbd18fff9",
"SubscriberCode": "sample string 4",
"SubscriberName": "sample string 5",
"CompanyId": "fae1330a-7397-4f51-95fa-ccf9ff37b259",
"CompanyCode": "sample string 7",
"CompanyName": "sample string 8",
"CompanyContractId": "a6b2cfce-8ba2-44da-9f38-4d68368cd128",
"CompanyContractCode": "sample string 10",
"CompanyContractDescription": "sample string 11",
"DriverId": "f47f9ea6-0fcf-4d3f-9fb9-c4de837ab4c1",
"DriverCode": "sample string 12",
"DriverCompleteName": "sample string 13",
"VehicleId": "284e330b-fa76-4c14-8672-911ee7695f45",
"VehicleCode": "sample string 14",
"VehiclePlate": "sample string 15",
"CurrencyId": "dea1f588-1295-4bc8-b76e-a0962c8c50aa",
"CurrencyCode": "sample string 16",
"CurrencyDescription": "sample string 17",
"FuelMasterId": "c5baac5c-89c9-4aa7-9843-6dd844ae0f63",
"FuelMasterCode": "sample string 18",
"FuelMasterDescription": "sample string 19",
"Amount": 1.0,
"Volume": 1.0,
"UnitPrice": 1.0
},
{
"SubAccountId": "64a7d0ee-fa25-4d58-ab72-5c7bf0d7dd7e",
"SubAccountDescription": "sample string 2",
"SubscriberId": "c060b70d-b817-4073-801e-24cbbd18fff9",
"SubscriberCode": "sample string 4",
"SubscriberName": "sample string 5",
"CompanyId": "fae1330a-7397-4f51-95fa-ccf9ff37b259",
"CompanyCode": "sample string 7",
"CompanyName": "sample string 8",
"CompanyContractId": "a6b2cfce-8ba2-44da-9f38-4d68368cd128",
"CompanyContractCode": "sample string 10",
"CompanyContractDescription": "sample string 11",
"DriverId": "f47f9ea6-0fcf-4d3f-9fb9-c4de837ab4c1",
"DriverCode": "sample string 12",
"DriverCompleteName": "sample string 13",
"VehicleId": "284e330b-fa76-4c14-8672-911ee7695f45",
"VehicleCode": "sample string 14",
"VehiclePlate": "sample string 15",
"CurrencyId": "dea1f588-1295-4bc8-b76e-a0962c8c50aa",
"CurrencyCode": "sample string 16",
"CurrencyDescription": "sample string 17",
"FuelMasterId": "c5baac5c-89c9-4aa7-9843-6dd844ae0f63",
"FuelMasterCode": "sample string 18",
"FuelMasterDescription": "sample string 19",
"Amount": 1.0,
"Volume": 1.0,
"UnitPrice": 1.0
}
]
application/xml, text/xml
Sample:
<ArrayOfSubAccountBalanceDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
<SubAccountBalanceDto>
<Amount>1</Amount>
<CompanyCode>sample string 7</CompanyCode>
<CompanyContractCode>sample string 10</CompanyContractCode>
<CompanyContractDescription>sample string 11</CompanyContractDescription>
<CompanyContractId>a6b2cfce-8ba2-44da-9f38-4d68368cd128</CompanyContractId>
<CompanyId>fae1330a-7397-4f51-95fa-ccf9ff37b259</CompanyId>
<CompanyName>sample string 8</CompanyName>
<CurrencyCode>sample string 16</CurrencyCode>
<CurrencyDescription>sample string 17</CurrencyDescription>
<CurrencyId>dea1f588-1295-4bc8-b76e-a0962c8c50aa</CurrencyId>
<DriverCode>sample string 12</DriverCode>
<DriverCompleteName>sample string 13</DriverCompleteName>
<DriverId>f47f9ea6-0fcf-4d3f-9fb9-c4de837ab4c1</DriverId>
<FuelMasterCode>sample string 18</FuelMasterCode>
<FuelMasterDescription>sample string 19</FuelMasterDescription>
<FuelMasterId>c5baac5c-89c9-4aa7-9843-6dd844ae0f63</FuelMasterId>
<SubAccountDescription>sample string 2</SubAccountDescription>
<SubAccountId>64a7d0ee-fa25-4d58-ab72-5c7bf0d7dd7e</SubAccountId>
<SubscriberCode>sample string 4</SubscriberCode>
<SubscriberId>c060b70d-b817-4073-801e-24cbbd18fff9</SubscriberId>
<SubscriberName>sample string 5</SubscriberName>
<UnitPrice>1</UnitPrice>
<VehicleCode>sample string 14</VehicleCode>
<VehicleId>284e330b-fa76-4c14-8672-911ee7695f45</VehicleId>
<VehiclePlate>sample string 15</VehiclePlate>
<Volume>1</Volume>
</SubAccountBalanceDto>
<SubAccountBalanceDto>
<Amount>1</Amount>
<CompanyCode>sample string 7</CompanyCode>
<CompanyContractCode>sample string 10</CompanyContractCode>
<CompanyContractDescription>sample string 11</CompanyContractDescription>
<CompanyContractId>a6b2cfce-8ba2-44da-9f38-4d68368cd128</CompanyContractId>
<CompanyId>fae1330a-7397-4f51-95fa-ccf9ff37b259</CompanyId>
<CompanyName>sample string 8</CompanyName>
<CurrencyCode>sample string 16</CurrencyCode>
<CurrencyDescription>sample string 17</CurrencyDescription>
<CurrencyId>dea1f588-1295-4bc8-b76e-a0962c8c50aa</CurrencyId>
<DriverCode>sample string 12</DriverCode>
<DriverCompleteName>sample string 13</DriverCompleteName>
<DriverId>f47f9ea6-0fcf-4d3f-9fb9-c4de837ab4c1</DriverId>
<FuelMasterCode>sample string 18</FuelMasterCode>
<FuelMasterDescription>sample string 19</FuelMasterDescription>
<FuelMasterId>c5baac5c-89c9-4aa7-9843-6dd844ae0f63</FuelMasterId>
<SubAccountDescription>sample string 2</SubAccountDescription>
<SubAccountId>64a7d0ee-fa25-4d58-ab72-5c7bf0d7dd7e</SubAccountId>
<SubscriberCode>sample string 4</SubscriberCode>
<SubscriberId>c060b70d-b817-4073-801e-24cbbd18fff9</SubscriberId>
<SubscriberName>sample string 5</SubscriberName>
<UnitPrice>1</UnitPrice>
<VehicleCode>sample string 14</VehicleCode>
<VehicleId>284e330b-fa76-4c14-8672-911ee7695f45</VehicleId>
<VehiclePlate>sample string 15</VehiclePlate>
<Volume>1</Volume>
</SubAccountBalanceDto>
</ArrayOfSubAccountBalanceDto>